/***************************************************************************
                          rdimdlg.cpp  -  description
                             -------------------
    begin                : Tue Feb 15 2000
    copyright            : (C) 2000 by Gerald Pichler
    email                : geripi@sbox.tu-graz.ac.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "rdimdlg.h"

RDimDlg::RDimDlg(QWidget *parent, const char *name)
				: QFrame(parent, name){
  this->resize(150,50);
  this->setMinimumSize(0,0);
  QLabel_2= new QLabel(this,"NoName");
  QLabel_2->setGeometry(10,13,9,20);
  QLabel_2->setMinimumSize(0,0);
  QLabel_2->setText("");

  QCheckBox_diam= new QCheckBox(this,"diam");
  QCheckBox_diam->setGeometry(20,15,20,20);
  QCheckBox_diam->setMinimumSize(0,0);
  QCheckBox_diam->setText("");

  QLineEdit_main= new QLineEdit(this,"main");
  QLineEdit_main->setGeometry(35,15,60,20);
  QLineEdit_main->setMinimumSize(0,0);
  QLineEdit_main->setText("");
  QLineEdit_main->selectAll();

  QLineEdit_upTol= new QLineEdit(this,"upTol");
  QLineEdit_upTol->setGeometry(95,5,50,20);
  QLineEdit_upTol->setMinimumSize(0,0);
  QLineEdit_upTol->setFocus();
  QLineEdit_upTol->setText("");
  QLineEdit_upTol->selectAll();

  QLineEdit_lowTol= new QLineEdit(this,"lowTol");
  QLineEdit_lowTol->setGeometry(95,25,50,20);
  QLineEdit_lowTol->setMinimumSize(0,0);
  QLineEdit_lowTol->setText("");
  QLineEdit_lowTol->selectAll();

  setFrameStyle(Panel|Raised);
  setLineWidth(1);

  connect(QCheckBox_diam, SIGNAL(clicked()), this, SLOT(Changed()));
  connect(QLineEdit_main, SIGNAL(textChanged(const QString&)),
  			  this, SLOT(Changed()));
  connect(QLineEdit_upTol, SIGNAL(textChanged(const QString&)),
  			  this, SLOT(Changed()));
  connect(QLineEdit_lowTol, SIGNAL(textChanged(const QString&)),
  			  this, SLOT(Changed()));
	
}

RDimDlg::~RDimDlg(){
}


void
RDimDlg::reset() {
	setDiam(false);
	setMain("");
	setLowTol("");
	setUpTol("");
}


void
RDimDlg::Changed() {
	if(element){
	  QString d;
	  if(QCheckBox_diam->isChecked()) d=""; else d="";
	  QString m=QLineEdit_main->text();
	  QString u=QLineEdit_upTol->text();
	  QString l=QLineEdit_lowTol->text();
	
	  d+=m+=";"; d+=u+=";"; d+=l;
	
  	element->setText(d);
  }
}